发布时间 :2006-05-15 21:02:00
修订时间 :2011-03-07 21:36:08

[原文]Directory traversal vulnerability in popup.php in RadScripts RadLance Gold 7.0 allows remote attackers to read arbitrary files via a .. (dot dot) in the read parameter.

[CNNVD]RadScripts RadLance Popup.PHP 目录遍历漏洞(CNNVD-200605-295)

        RadScripts RadLance Gold 7.0的popup.php中存在目录遍历漏洞,远程攻击者可以通过read参数(该参数中包含..)读取任意文件 。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  VUPEN  ADV-2006-1816
(UNKNOWN)  BID  17975
(UNKNOWN)  XF  radlancegold-popup-file-include(26492)
(UNKNOWN)  BUGTRAQ  20060514 RadLance Local Inclusion Exploit

- 漏洞信息

RadScripts RadLance Popup.PHP 目录遍历漏洞
中危 路径遍历
2006-05-15 00:00:00 2006-05-16 00:00:00
        RadScripts RadLance Gold 7.0的popup.php中存在目录遍历漏洞,远程攻击者可以通过read参数(该参数中包含..)读取任意文件 。

- 公告与补丁


- 漏洞信息

RadLance Gold popup.php read Parameter Traversal Arbitrary File Access
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

RadLance Gold contains a flaw that allows a remote attacker to view files outside of the web path. The issue is due to the popup.php script not properly sanitizing user input, specifically directory traversal style attacks (../../) supplied via the 'read' variable.

- 时间线

2006-05-15 Unknow
2006-05-15 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

RadScripts RadLance Popup.PHP Local File Include Vulnerability
Input Validation Error 17975
Yes No
2006-05-15 12:00:00 2007-08-02 12:55:00
Mr.CrackerZ is credited with the discovery of this vulnerability.

- 受影响的程序版本

RadScripts RadLance Gold 7.0
RadScripts RadLance Gold 7.5

- 不受影响的程序版本

RadScripts RadLance Gold 7.5

- 漏洞讨论

RadLance is prone to a local file-include vulnerability. This may allow unauthorized users to view files and to execute local scripts.

RadLance Gold 7.0 is reported affected by this issue; other versions may also be vulnerable.

- 漏洞利用

This issue can be exploited through a web client.

The following exploit is available:

- 解决方案

The vendor released a fix to address this issue. Please see the references for more information.

- 相关参考